$AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$ = {dropdown:"popEl", icon:"icon"};
$AdfDhtmlButtonPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlButtonPeer$$$$$GetSubIdDomElement$$($domElement$$539_subElementId$$3$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$539_subElementId$$3$$);
  if("text" != $domElement$$539_subElementId$$3$$) {
    var $component$$1801$$ = this.$getComponent$();
    return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$539_subElementId$$3$$, $AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$, $component$$1801$$)
  }
  $domElement$$539_subElementId$$3$$ = this.$getDomElement$();
  return $AdfDomUtils$$.$getDescendentElement$($domElement$$539_subElementId$$3$$, "SPAN", 0)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlButtonPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlButtonPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlButtonPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlButtonPeer$$$$$GetBestMatchSubId$$($domElement$$540$$) {
  var $subId$$36$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$540$$, this, $AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$);
  if(!$subId$$36$$) {
    var $anchorElem_rootNode$$22$$ = this.$getDomElement$(), $anchorElem_rootNode$$22$$ = $AdfDomUtils$$.$getDescendentElement$($anchorElem_rootNode$$22$$, "A", 0);
    $domElement$$540$$.parentNode == $anchorElem_rootNode$$22$$ && ($subId$$36$$ = "text")
  }
  return $subId$$36$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlButtonPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlButtonPeer$$.prototype.$GetBestMatchSubId$});
